using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Hablar : MonoBehaviour {

    GameObject enemyManager;
    bool isEnter = false, isEstado=false, isConvertido=false;
    public Text textCantidad;
    int contador = 0;
    Seguir objetivo;

    void Start() {
        textCantidad.text = "Seguidores " + contador;
    }

    // Update is called once per frame
    void Update() {
        if (Input.GetKeyDown(KeyCode.E) && isEnter && !isConvertido)
        {
            isEstado = true;
            objetivo.SendMessage("ToggleMove");
        }
        if (Input.GetKeyDown(KeyCode.R) && isEstado)
        {
            objetivo.SendMessage("Convertir");
            objetivo.SendMessage("ToggleMove");
            contador += 1;
            textCantidad.text = "Seguidores " + contador; 
        }
        CheckSeguidores();
    }

    private void CheckSeguidores()
    {
        if (contador >= 5)
        {
            enemyManager = GameObject.FindGameObjectWithTag("Enemies");
            enemyManager.SendMessage("Win");
        }
    }

    //Colisiona con el objeto
    void OnTriggerEnter(Collider vColisionar)
    {

        if (vColisionar.gameObject.tag == "Civil")
        {
            isEnter = true;
        }
        objetivo = vColisionar.gameObject.GetComponent<Seguir>();
        if (objetivo != null)
        {
            isConvertido = objetivo.sigue;
        }

    }


    void OnTriggerExit(Collider vColisionar)
    { 
        if (vColisionar.gameObject.tag == "Civil")
        {
            isEstado = false;
            isEnter = false;
        }       

    }

    //Mostrar en ventana
    void OnGUI()
    {
        //si el player tiene menos elemento la puerta esta bloqueada
        if (isEnter && !isEstado && !isConvertido)
        {
            GUI.Box(new Rect((Screen.width * 0.5f) - 200, Screen.height - 300, 350, 30), "Presione E para hablar");       
        }
        if (isEstado)
        {
            GUI.Box(new Rect((Screen.width * 0.5f) - 200, Screen.height - 300, 350, 30), "Presione R para convertir");
        }
    }
}
